com.fasterxml.aalto.sax

## Enum SAXProperty

- java.lang.Object
- - java.lang.Enum<SAXProperty>
  - - com.fasterxml.aalto.sax.SAXProperty

- All Implemented Interfaces:
    Serializable, Comparable<SAXProperty>

      public enum SAXProperty
      extends Enum<SAXProperty>

  Enumeration for listing all currently (SAX 2.0.2) defined standard properties.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECLARATION_HANDLER`
    `DOCUMENT_XML_VERSION`
    `DOM_NODE`
    `LEXICAL_HANDLER`
    `XML_STRING`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STD_PROPERTY_PREFIX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSuffix()`
    `String` | `toExternal()`
    `static SAXProperty` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SAXProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DECLARATION_HANDLER

          public static final SAXProperty DECLARATION_HANDLER

    - #### DOCUMENT_XML_VERSION

          public static final SAXProperty DOCUMENT_XML_VERSION

    - #### DOM_NODE

          public static final SAXProperty DOM_NODE

    - #### LEXICAL_HANDLER

          public static final SAXProperty LEXICAL_HANDLER

    - #### XML_STRING

          public static final SAXProperty XML_STRING

  - ### Field Detail

    - #### STD_PROPERTY_PREFIX

          public static final String STD_PROPERTY_PREFIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static SAXProperty[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SAXProperty c : SAXProperty.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SAXProperty valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSuffix

          public String getSuffix()

    - #### toExternal

          public String toExternal()

Copyright © 2012-2015 FasterXML. All Rights Reserved.